#
# spec file for package surfer-gallery
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           surfer-gallery
Version:        0.20110925
Release:        1.1
Summary:        Gallery shape for algebraic geometry visualizer
Group:          Documentation
License:        GPL-2.0+

URL:            http://www.imaginary-exhibition.com/surfer.php?lang=en
#DL:		http://data.imaginary2008.de/software/surfer/surfer.tar.bz2
Source:         gallery.tar.xz
Source2:	prepare_tar
Source3:	COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes, xz
BuildArch:	noarch

%description
Surfer is a program to visualize real algebraic geometry in
real-time. The surfaces visualized are given by the zero set of a
polynomial equation in 3 variables. Surfer is based on the program
Surf.

This package contains help files and visualizations of many such
surfaces.

%package de
Summary:	Help and visualization files for Surfer (German)
Group:          Documentation

%description de
Surfer is a program to visualize real algebraic geometry in
real-time. The surfaces visualized are given by the zero set of a
polynomial equation in 3 variables. Surfer is based on the program
Surf.

This package contains help files and visualizations of many such
surfaces in German language.

%package en
Summary:	Help and visualization files for Surfer (English)
Group:          Documentation

%description en
Surfer is a program to visualize real algebraic geometry in
real-time. The surfaces visualized are given by the zero set of a
polynomial equation in 3 variables. Surfer is based on the program
Surf.

This package contains help files and visualizations of many such
surfaces in English language.

%package es
Summary:	Help and visualization files for Surfer (Spanish)
Group:          Documentation

%description es
Surfer is a program to visualize real algebraic geometry in
real-time. The surfaces visualized are given by the zero set of a
polynomial equation in 3 variables. Surfer is based on the program
Surf.

This package contains help files and visualizations of many such
surfaces in Spanish language.

%prep
%setup -Tcq
cp "%{S:3}" .;

%build

%install
b="%buildroot";
c="$b/%_datadir/surfer";
mkdir -p "$c";
pushd "$c";
tar -xf "%{S:0}";
popd;
%fdupes %buildroot

%files de
%defattr(-,root,root)
%dir %_datadir/surfer
%dir %_datadir/surfer/gallery
%_datadir/surfer/gallery/gallery-de
%doc COPYING

%files en
%defattr(-,root,root)
%dir %_datadir/surfer
%dir %_datadir/surfer/gallery
%_datadir/surfer/gallery/gallery-en
%doc COPYING

%files es
%defattr(-,root,root)
%dir %_datadir/surfer
%dir %_datadir/surfer/gallery
%_datadir/surfer/gallery/gallery-es
%doc COPYING

%changelog
* Mon Sep 26 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
